using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data .SqlClient ;
using System.Configuration ;

namespace EGovDP1
{
	/// <summary>
	/// Summary description for AddServiceW2_1.
	/// </summary>
	public class AddServiceW2_1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox txtministryID;
		protected System.Web.UI.WebControls.TextBox txtServiceNAme;
		protected System.Web.UI.WebControls.Button btnCreateService;
		protected System.Web.UI.WebControls.TextBox txtServiceType;
		protected System.Web.UI.WebControls.TextBox txtProperties;
		protected System.Web.UI.WebControls.TextBox txtServiceID;
		protected System.Web.UI.WebControls.Panel Panel1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			//////////////////////////////////////////////////////////////////
			// send the serviceownerid = output1
			// send the servicename  =output2
			// send the service type = output3
			// 0 for payment service 
			// 1 for request service
			// output4=serverid
			// output5=servername
			// output6=servicepropertynumber
			// output7 serviceid


			
			this.txtministryID.Text =this.Request .QueryString ["Output1"];
			// load the service information from the prevoius pages
			this.txtServiceNAme.Text  =this.Request.QueryString ["Output2"]; 
			 
			this.txtServiceType .Text =this.Request .QueryString ["Output3"];
			 
			this.txtServiceID  .Text =this.Request .QueryString ["Output7"];


			// this holds the number of service properties
			int PropertiesNumber = Convert.ToInt16 (Request.QueryString ["Output6"]);
 
			this.txtProperties .Text =Convert.ToString (PropertiesNumber);
			
			for(int a=0;a<PropertiesNumber;a++)
			{
			Control c=Page.LoadControl ("EGovAddItem.ascx");
			c.ID =String.Format ("Service Property {0}",a);
			((EGovAddItem)c).Label =String.Format ("Service Property {0}",a);
			 
			this.Panel1.Controls.Add (c);  
			}

			// add a button 
			Button bInsert=new Button ();
			bInsert.Text ="  Insert   ";
			bInsert.Click +=  new EventHandler(bInsert_Click);

			Button bCancel=new Button ();
			bCancel.Text ="  Cancel   ";
			bCancel.Click +=new EventHandler(bCancel_Click);


			HtmlControl hc=new HtmlGenericControl ("br");

			this.Panel1.Controls.Add (hc);
			this.Panel1.Controls.Add (hc);

			this.Panel1.Controls.Add (bInsert);
			this.Panel1.Controls.Add (bCancel);

			this.Panel1.Controls.Add (hc);

			this.Panel1.Controls.Add (hc);

			this.Panel1.Controls.Add (hc);

		}
		private void bInsert_Click(object sender,System.EventArgs e)
		{
			string constr=System.Configuration .ConfigurationSettings .AppSettings ["Con"];
			SqlConnection con=new SqlConnection (constr);
			SqlCommand cmd=con.CreateCommand ();
			SqlCommand sel=con.CreateCommand ();

			sel.CommandType =CommandType.Text ;
			cmd.CommandType =CommandType.Text ;
			sel.CommandText ="select * from serviceitemdp1";
			cmd.CommandText ="insert serviceitemdp1(serviceid,serviceitemname)values(@serviceid,@serviceitemname)";
			
			cmd.Parameters.Add ("@serviceid",SqlDbType.Int ,4,"serviceid"); 
			cmd.Parameters.Add ("@serviceitemname",SqlDbType.NVarChar,50,"serviceitemname"); 
			


			SqlDataAdapter da=new SqlDataAdapter ();
			DataSet ds=new DataSet ();

			da.SelectCommand =sel;
			da.InsertCommand  =cmd;
			da.Fill (ds,"insert");

			int PropertiesNumber=Convert.ToInt16 ( this.txtProperties .Text) ;

			for(int a=0;a<PropertiesNumber;a++)
			{
 
				Control c=this.Panel1.FindControl (String.Format ("Service Property {0}",a)); 

				DataRow dr=ds.Tables ["insert"].NewRow ();

				dr["ServiceItemName"]=((EGovAddItem)c).txtValue  ;
				dr["ServiceID"]= this.txtServiceID.Text ; 
				 
				ds.Tables ["insert"].Rows .Add (dr);


			}

			da.Update (ds,"insert");

			this.Response.Redirect("AddServiceW3.aspx");  

		
		}
		private void bCancel_Click(object sender,System.EventArgs e)
		{
			this.Response.Redirect ("ControlPanel.htm"); 
		
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.btnCreateService.Click += new System.EventHandler(this.btnCreateService_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void btnCreateService_Click(object sender, System.EventArgs e)
		{
//			string constr=System.Configuration .ConfigurationSettings .AppSettings ["Con"];
//			SqlConnection con=new SqlConnection (constr);
//			SqlCommand cmd=con.CreateCommand ();
//			SqlCommand sel=con.CreateCommand ();
//
//			sel.CommandType =CommandType.Text ;
//			cmd.CommandType =CommandType.Text ;
//			sel.CommandText ="select * from serviceitemdp1";
//			cmd.CommandText ="insert serviceitemdp1(serviceid,serviceitemname)values(@serviceid,@serviceitemname)";
//			
//			cmd.Parameters.Add ("@serviceid",SqlDbType.Int ,4,"serviceid"); 
//			cmd.Parameters.Add ("@serviceitemname",SqlDbType.NVarChar,50,"serviceitemname"); 
//			
//
//
//			SqlDataAdapter da=new SqlDataAdapter ();
//			DataSet ds=new DataSet ();
//
//			da.SelectCommand =sel;
//			da.InsertCommand  =cmd;
//			da.Fill (ds,"insert");
//
//			int PropertiesNumber=Convert.ToInt16 ( this.txtProperties .Text) ;
//
//			for(int a=0;a<PropertiesNumber;a++)
//			{
// 
//				Control c=this.Panel1.FindControl (String.Format ("Service Property {0}",a)); 
//
//				DataRow dr=ds.Tables ["insert"].NewRow ();
//
//				dr["ServiceItemName"]=((EGovAddItem)c).txtValue  ;
//				 dr["ServiceID"]= this.txtServiceID.Text ; 
//				 
//				ds.Tables ["insert"].Rows .Add (dr);
//
//
//			}
//
//			da.Update (ds,"insert");
//
//			this.Response.Redirect("AddServiceW3.aspx");  


		}
	}
}
